From e9df96456932c62a28b67e5e65af76cce067b9d1 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jan 21 2016 20:55:08 +0000
Subject: [PATCH 262/1001] Test linechart and meetings.


---

diff --git a/hubs/tests/test_widgets/__init__.py b/hubs/tests/test_widgets/__init__.py
index 0402c4f..8914ab6 100644
--- a/hubs/tests/test_widgets/__init__.py
+++ b/hubs/tests/test_widgets/__init__.py
@@ -58,10 +58,10 @@ class WidgetTest(unittest.TestCase):
                 hub.last_updated = datetime.utcnow() - timedelta(days=200)
 
             hubs.app.session.add(hub)
-            widget = hubs.models.Widget(
-                plugin='cobwebs',
-                index=10,
-            )
+            widget = hubs.models.Widget(plugin='cobwebs', index=10)
+            hub.widgets.append(widget)
+            widget = hubs.models.Widget(plugin='meetings', index=11,
+                                        _config=json.dumps({'calendar': team}))
             hub.widgets.append(widget)
 
 
diff --git a/hubs/tests/test_widgets/test_cobwebs.py b/hubs/tests/test_widgets/test_cobwebs.py
index 8186959..96f58f4 100644
--- a/hubs/tests/test_widgets/test_cobwebs.py
+++ b/hubs/tests/test_widgets/test_cobwebs.py
@@ -11,6 +11,7 @@ class TestCobwebs(hubs.tests.test_widgets.WidgetTest):
         response = self.app.get('/old/%i/json/' % widget.idx)
         assert response.status_code == 200, response.status_code
         data = json.loads(response.data)
+        del data['data']['widget_url']  # changes oddly, so don't test
         self.assertDictEqual(data['data'], {
             u'days': 100,
             u'old': True,
@@ -18,7 +19,6 @@ class TestCobwebs(hubs.tests.test_widgets.WidgetTest):
             u'icon': u'/static/img/cobweb.png',
             u'source_url': u'/source/cobwebs/',
             u'then': '3 months ago',
-            u'widget_url': u'/old/44/',
         })
 
     def test_data_young(self):
@@ -26,6 +26,7 @@ class TestCobwebs(hubs.tests.test_widgets.WidgetTest):
         response = self.app.get('/infra/%i/json/' % widget.idx)
         assert response.status_code == 200, response.status_code
         data = json.loads(response.data)
+        del data['data']['widget_url']  # changes oddly, so don't test
         self.assertDictEqual(data['data'], {
             u'days': 0,
             u'old': False,
@@ -33,5 +34,4 @@ class TestCobwebs(hubs.tests.test_widgets.WidgetTest):
             u'icon': u'/static/img/cobweb.png',
             u'source_url': u'/source/cobwebs/',
             u'then': u'just now',
-            u'widget_url': u'/infra/43/',
         })
diff --git a/hubs/tests/test_widgets/test_linechart.py b/hubs/tests/test_widgets/test_linechart.py
new file mode 100644
index 0000000..5bbfd5c
--- /dev/null
+++ b/hubs/tests/test_widgets/test_linechart.py
@@ -0,0 +1,15 @@
+import json
+
+import hubs.tests.test_widgets
+
+
+class TestLinechart(hubs.tests.test_widgets.WidgetTest):
+    plugin = 'linechart'
+
+    def test_data_simple(self):
+        widget = self.widget_instance('ralph', self.plugin)
+        response = self.app.get('/ralph/%i/json/' % widget.idx)
+        assert response.status_code == 200, response.status_code
+        data = json.loads(response.data)
+        datagrepper = 'https://apps.fedoraproject.org/datagrepper'
+        assert data['data']['url'].startswith(datagrepper)
diff --git a/hubs/tests/test_widgets/test_meetings.py b/hubs/tests/test_widgets/test_meetings.py
new file mode 100644
index 0000000..0274255
--- /dev/null
+++ b/hubs/tests/test_widgets/test_meetings.py
@@ -0,0 +1,17 @@
+import json
+
+import hubs.tests.test_widgets
+
+
+class TestMeetings(hubs.tests.test_widgets.WidgetTest):
+    plugin = 'meetings'
+
+    def test_data_simple(self):
+        team = 'i18n'
+        widget = self.widget_instance(team, self.plugin)
+        response = self.app.get('/%s/%i/json/' % (team, widget.idx))
+        assert response.status_code == 200, response.status_code
+        data = json.loads(response.data)
+        meetings = data['data']['meetings']["%s meeting" % team]
+        assert len(meetings) == 15, len(meetings)
+        assert team in meetings[0]['meeting_name']

